org.apache.fop.image.loader.batik

## Class ImageConverterG2D2SVG

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter
  - - org.apache.fop.image.loader.batik.ImageConverterG2D2SVG

All Implemented Interfaces:
  org.apache.xmlgraphics.image.loader.spi.ImageConverter

    public class ImageConverterG2D2SVG
    extends org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter

This ImageConverter converts Java2D images into SVG images.

### Field Summary

### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageConverter

`MEDIUM_CONVERSION_PENALTY, MINIMAL_CONVERSION_PENALTY, NO_CONVERSION_PENALTY`

### Constructor Summary

Constructors
Constructor and Description
`ImageConverterG2D2SVG()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.xmlgraphics.image.loader.Image` `convert(org.apache.xmlgraphics.image.loader.Image src, Map hints)`
`org.apache.xmlgraphics.image.loader.ImageFlavor` `getSourceFlavor()`
`org.apache.xmlgraphics.image.loader.ImageFlavor` `getTargetFlavor()`

### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter

`checkSourceFlavor, getConversionPenalty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageConverterG2D2SVG

    public ImageConverterG2D2SVG()

### Method Detail

#### convert

    public org.apache.xmlgraphics.image.loader.Image convert(org.apache.xmlgraphics.image.loader.Image src,
                                                             Map hints)
                                                      throws org.apache.xmlgraphics.image.loader.ImageException

Throws:
  `org.apache.xmlgraphics.image.loader.ImageException`

#### getSourceFlavor

    public org.apache.xmlgraphics.image.loader.ImageFlavor getSourceFlavor()

#### getTargetFlavor

    public org.apache.xmlgraphics.image.loader.ImageFlavor getTargetFlavor()